<bugID>1093206<Summary>e10s - Investigate enabling tests relying on swapDocshells and friends</Summary><Description>bug 918634 was marked fixed, but a bunch of tests related to tab dragging / swapping are still disabled in e10s, and some generate errors along the lines of:

363 INFO TEST-START | chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug495058.js
364 INFO Console message: [JavaScript Warning: "Property contained reference to invalid variable.  Error in parsing value for 'transform'.  Falling back to 'initial'." {file: "chrome://browser/skin/browser.css" line: 7331 column: 228468 source: " translateY(calc(0px - var(--space-above-tabbar)))"}]
365 INFO Console message: OpenGL compositor Initialized Succesfully.
Version: 2.1 NVIDIA-8.26.28 310.40.55b01
Vendor: NVIDIA Corporation
Renderer: NVIDIA GeForce GT 650M OpenGL Engine
FBO Texture Target: TEXTURE_2D
366 INFO TEST-PASS | chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug495058.js | about:blank: uri loaded in detached tab 
367 INFO TEST-PASS | chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug495058.js | about:blank: browser is focused 
368 INFO TEST-PASS | chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug495058.js | about:blank: urlbar is empty 
369 INFO TEST-PASS | chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug495058.js | about:blank: placeholder text is present 
370 INFO Console message: [JavaScript Warning: "Property contained reference to invalid variable.  Error in parsing value for 'transform'.  Falling back to 'initial'." {file: "chrome://browser/skin/browser.css" line: 7331 column: 228468 source: " translateY(calc(0px - var(--space-above-tabbar)))"}]
371 INFO Console message: OpenGL compositor Initialized Succesfully.
Version: 2.1 NVIDIA-8.26.28 310.40.55b01
Vendor: NVIDIA Corporation
Renderer: NVIDIA GeForce GT 650M OpenGL Engine
FBO Texture Target: TEXTURE_2D
JavaScript error: chrome://global/content/bindings/browser.xml, line 1104: NS_ERROR_NOT_IMPLEMENTED:
372 INFO Console message: [JavaScript Error: "NS_ERROR_NOT_IMPLEMENTED: " {file: "chrome://global/content/bindings/browser.xml" line: 1104}]
###!!! [Parent][OnMaybeDequeueOne] Error: Channel closing: too late to send/recv, messages will be lost
373 INFO TEST-UNEXPECTED-FAIL | chrome://mochitests/content/browser/browser/base/content/test/general/browser_bug495058.js | uncaught exception - NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIWebProgress.removeProgressListener] at chrome://browser/content/tabbrowser.xml:3189
Stack trace:
chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:simpletestOnerror:1346
null:null:0
JavaScript error: chrome://browser/content/tabbrowser.xml, line 3189: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIWebProgress.removeProgressListener]
JavaScript error: chrome://browser/content/browser.js, line 2239: NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIObserverService.removeObserver]
374 INFO Console message: [JavaScript Error: "NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIWebProgress.removeProgressListener]" {file: "chrome://browser/content/tabbrowser.xml" line: 3189}]
375 INFO Console message: [JavaScript Error: "NS_ERROR_FAILURE: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIObserverService.removeObserver]" {file: "chrome://browser/content/browser.js" line: 2239}]

Note the NS_ERROR_NOT_IMPLEMENTED.

David, was there a followup bug filed about this? If so, I couldn't find it.


Disabled tests relying on swap* in browser/base/content/test/general:

[browser_bug477014.js]
[browser_bug495058.js]
[browser_bug537013.js]
[browser_tabMatchesInAwesomebar_perwindowpb.js]
[browser_tab_dragdrop.js]
[browser_tab_dragdrop2.js]</Description></bugID>